=== debian/changelog ===
nats.c (3.2.0-1) unstable; urgency=medium

  * debian/gbp.conf
  * New upstream version 3.2.0
  * new soname, update year in copyright, update Standards-Version
  * cmake files path patch

 -- Victor Seva <vseva@debian.org>  Wed, 16 Feb 2022 11:08:25 +0100

nats.c (2.5.1-1) unstable; urgency=medium

  * Initial release (Closes: #991376)

 -- Victor Seva <vseva@debian.org>  Sat, 26 Jun 2021 12:24:54 +0200
