## nats.c 3.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -58,6 +58,7 @@
 endif(NATS_COVERAGE)
 
 if(NATS_BUILD_WITH_TLS)
+  set(OPENSSL_USE_STATIC_LIBS ${NATS_BUILD_OPENSSL_STATIC_LIBS})
   find_package(OpenSSL REQUIRED)
 endif(NATS_BUILD_WITH_TLS)
 
@@ -242,11 +243,11 @@
 # Versionning and Doc
 
 set(NATS_VERSION_MAJOR  3)
-set(NATS_VERSION_MINOR  2)
+set(NATS_VERSION_MINOR  3)
 set(NATS_VERSION_PATCH  0)
 set(NATS_VERSION_SUFFIX "")
 
-set(NATS_VERSION_REQUIRED_NUMBER 0x030200)
+set(NATS_VERSION_REQUIRED_NUMBER 0x030300)
 
 if(NATS_UPDATE_VERSION OR NATS_UPDATE_DOC)
 configure_file(
