=== debian/changelog ===
nats.c (3.3.0-4) unstable; urgency=medium

  * rules: fix configure

 -- Victor Seva <vseva@debian.org>  Thu, 14 Jul 2022 02:19:49 +0200

nats.c (3.3.0-3) unstable; urgency=medium

  * configure to build using openssl 1.1
  * upstream's fix for build warning

 -- Victor Seva <vseva@debian.org>  Wed, 13 Jul 2022 20:08:41 +0200

nats.c (3.3.0-2) unstable; urgency=medium

  * fix armel build
  * update Standards-Version, no changes needed

 -- Victor Seva <vseva@debian.org>  Tue, 12 Jul 2022 12:58:44 +0200

nats.c (3.3.0-1) unstable; urgency=medium

  * New upstream version 3.3.0
  * remove already applied patches

 -- Victor Seva <vseva@debian.org>  Mon, 02 May 2022 14:17:51 +0200
