=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  libprotobuf-c-dev,
  libsodium-dev,
  libssl-dev,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Section: libs
 Homepage: https://github.com/nats-io/nats.c/
 Vcs-Browser: https://salsa.debian.org/debian/nats.c
@@ -18,7 +18,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libnats3.2 (= ${binary:Version}),
+ libnats3.3 (= ${binary:Version}),
  ${misc:Depends},
 Description: C client for the NATS messaging system (development files)
  NATS messaging enables the exchange of data that is segmented into messages
@@ -30,7 +30,7 @@
  .
  This package provides the C headers for NATS
 
-Package: libnats3.2
+Package: libnats3.3
 Architecture: any
 Multi-Arch: same
 Depends:
