## nats.c 3.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -243,11 +243,11 @@
 # Versionning and Doc
 
 set(NATS_VERSION_MAJOR  3)
-set(NATS_VERSION_MINOR  3)
-set(NATS_VERSION_PATCH  0)
+set(NATS_VERSION_MINOR  4)
+set(NATS_VERSION_PATCH  1)
 set(NATS_VERSION_SUFFIX "")
 
-set(NATS_VERSION_REQUIRED_NUMBER 0x030300)
+set(NATS_VERSION_REQUIRED_NUMBER 0x030400)
 
 if(NATS_UPDATE_VERSION OR NATS_UPDATE_DOC)
 configure_file(
