=== debian/changelog ===
nats.c (3.4.1-1) unstable; urgency=medium

  * New upstream version 3.4.1
  * update symbols

 -- Victor Seva <vseva@debian.org>  Wed, 26 Oct 2022 00:37:32 +0200

nats.c (3.4.0-1) unstable; urgency=medium

  * New upstream version 3.4.0
  * remove already applied patches
  * libnats3.4

 -- Victor Seva <vseva@debian.org>  Mon, 03 Oct 2022 10:13:28 +0200
