=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,8 @@
 	dh $@ --buildsystem=cmake
 
 override_dh_auto_configure:
-	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
+	dh_auto_configure -- \
+		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
+		-DNATS_BUILD_TLS_USE_OPENSSL_1_1_API=ON
 
 override_dh_auto_test:
