=== debian/changelog ===
nats.c (3.5.0-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Victor Seva ]
  * New upstream version 3.5.0
  * update standards-version to 4.6.2, no changes needed
  * libnats3.5

 -- Victor Seva <vseva@debian.org>  Fri, 27 Jan 2023 10:59:55 +0100
