=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Priority: optional
 Maintainer: Victor Seva <vseva@debian.org>
 Build-Depends:
- cmake (>=3.13),
- debhelper-compat (= 12),
+ cmake (>= 3.13),
+ debhelper-compat (= 13),
  libprotobuf-c-dev,
  libsodium-dev,
  libssl-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://github.com/nats-io/nats.c/
 Vcs-Browser: https://salsa.debian.org/debian/nats.c
@@ -18,7 +18,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libnats3.4 (= ${binary:Version}),
+ libnats3.5 (= ${binary:Version}),
  ${misc:Depends},
 Description: C client for the NATS messaging system (development files)
  NATS messaging enables the exchange of data that is segmented into messages
@@ -30,7 +30,7 @@
  .
  This package provides the C headers for NATS
 
-Package: libnats3.4
+Package: libnats3.5
 Architecture: any
 Multi-Arch: same
 Depends:
