=== src/CMakeLists.txt ===
--- 
+++ 
@@ -82,17 +82,3 @@
 install(FILES deprnats.h DESTINATION ${NATS_INCLUDE_DIR} RENAME nats.h)
 install(FILES nats.h status.h version.h DESTINATION ${NATS_INCLUDE_DIR}/nats)
 install(FILES adapters/libevent.h adapters/libuv.h DESTINATION ${NATS_INCLUDE_DIR}/nats/adapters)
-
-# --------------------------------------
-# Setup the coveralls target and tell it
-# to gather coverage data for all the
-# lib sources.
-# --------------------------------------
-if(NATS_COVERAGE)
-	set(COVERAGE_SRCS ${SOURCES} ${S_SOURCES})
-	list(REMOVE_ITEM COVERAGE_SRCS "${PROJECT_SOURCE_DIR}/src/stan/protocol.pb-c.c")
-	coveralls_setup(
-        "${COVERAGE_SRCS}"
-        ${NATS_COVERAGE_UPLOAD}
-        "${PROJECT_SOURCE_DIR}/coveralls-cmake/cmake")
-endif(NATS_COVERAGE)
