=== debian/changelog ===
nats.c (3.7.0-1.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:11:47 +0000

nats.c (3.7.0-1.1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:06:50 +0000

nats.c (3.7.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063159

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 21:44:25 +0000

nats.c (3.7.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Victor Seva ]
  * New upstream version 3.7.0
  * NATS_BUILD_TLS_USE_OPENSSL_1_1_API is enabled by default in since v3.6.0
  * add NATS_BUILD_USE_SODIUM
  * rename lib version
  * update symbols
  * replicate upstream path for missing-sources files
  * wrap-and-sort -sat

 -- Victor Seva <vseva@debian.org>  Wed, 25 Oct 2023 12:42:54 +0200
