=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: nats.c
 Priority: optional
-Maintainer: Victor Seva <vseva@debian.org>
-Build-Depends:
- cmake (>= 3.13),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Victor Seva <vseva@debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5),
+ cmake,
  debhelper-compat (= 13),
  libprotobuf-c-dev,
  libsodium-dev,
@@ -18,7 +19,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libnats3.5 (= ${binary:Version}),
+ libnats3.7t64 (= ${binary:Version}),
  ${misc:Depends},
 Description: C client for the NATS messaging system (development files)
  NATS messaging enables the exchange of data that is segmented into messages
@@ -30,7 +31,10 @@
  .
  This package provides the C headers for NATS
 
-Package: libnats3.5
+Package: libnats3.7t64
+Provides: ${t64:Provides}
+Replaces: libnats3.7
+Breaks: libnats3.7 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends:
