## nats.c 3.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,10 +5,16 @@
 include(FindPackageHandleStandardArgs)
 
 # Uncomment to have the build process verbose
-#set(CMAKE_VERBOSE_MAKEFILE TRUE)
-
-# Uncomment to have the executable moved to 'build' instead of their respective 'build/xxx' directories
-#set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR})
+# set(CMAKE_VERBOSE_MAKEFILE TRUE)
+
+set(CMAKE_C_STANDARD 99)
+set(CMAKE_C_STANDARD_REQUIRED ON)
+
+# Set output directories for libraries and executables.
+# This is important for Windows builds to have the DLLs in the same directory as the executables.
+set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
+set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
+set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)
 
 # Set a default build type if none was specified
 set(default_build_type "Release")
@@ -177,7 +183,9 @@
   else(APPLE)
     set(NATS_OS "LINUX")
     set(NATS_USE_PTHREAD "-pthread")
-    set(NATS_EXTRA_LIB "rt")
+    if(NOT ANDROID)
+      set(NATS_EXTRA_LIB "rt -lpthread")
+    endif()
   endif(APPLE)
   if (${NATS_BUILD_ARCH} MATCHES "32")
     if(NOT APPLE)
@@ -194,9 +202,17 @@
 elseif(WIN32)
   set(NATS_LIBDIR "lib")
   set(NATS_INCLUDE_DIR "include")
-  set(NATS_EXTRA_LIB "Ws2_32")
+  set(NATS_EXTRA_LIB "ws2_32")
   set(NATS_OS "_WIN32")
   set(NATS_PLATFORM_INCLUDE "win")
+
+  # Warning control.
+  add_compile_options(/W4) # Set warning level to maximum, then disable:
+  add_compile_options(/wd4100) # unreferenced formal parameter
+  add_compile_options(/wd4200) # nonstandard extension used: zero-sized array in struct/union
+  add_compile_options(/wd4130) # logical operation on address of string constant
+  add_compile_options(/wd4127) # conditional expression is constant
+
   if(sodium_USE_STATIC_LIBS)
     add_definitions(
       -DSODIUM_STATIC
@@ -236,11 +252,11 @@
 # Versionning and Doc
 
 set(NATS_VERSION_MAJOR  3)
-set(NATS_VERSION_MINOR  7)
-set(NATS_VERSION_PATCH  0)
+set(NATS_VERSION_MINOR  9)
+set(NATS_VERSION_PATCH  1)
 set(NATS_VERSION_SUFFIX "")
 
-set(NATS_VERSION_REQUIRED_NUMBER 0x030700)
+set(NATS_VERSION_REQUIRED_NUMBER 0x030900)
 
 if(NATS_UPDATE_VERSION OR NATS_UPDATE_DOC)
 configure_file(
