=== debian/changelog ===
nats.c (3.9.1-1) unstable; urgency=medium

  * New upstream version 3.9.1
  * symbols: add new symbols

 -- Victor Seva <vseva@debian.org>  Mon, 04 Nov 2024 12:25:02 +0100

nats.c (3.9.0-1) unstable; urgency=medium

  * New upstream version 3.9.0
  * libnats3.9

 -- Victor Seva <vseva@debian.org>  Mon, 04 Nov 2024 12:06:42 +0100

nats.c (3.8.3-1) unstable; urgency=medium

  * New upstream version 3.8.3

 -- Victor Seva <vseva@debian.org>  Mon, 04 Nov 2024 12:03:31 +0100

nats.c (3.8.2-1) unstable; urgency=medium

  * New upstream version 3.8.2
  * symbols: update removed symbols

 -- Victor Seva <vseva@debian.org>  Mon, 04 Nov 2024 11:58:08 +0100

nats.c (3.8.0-1) unstable; urgency=medium

  * add static libs to dev-packet (Closes: #1060669)
  * New upstream version 3.8.0
  * libnats3.8

 -- Victor Seva <vseva@debian.org>  Mon, 04 Nov 2024 11:46:45 +0100
