## nats.c 3.9.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 project(cnats)
 include(CTest)
 include(FindPackageHandleStandardArgs)
+include(CMakePackageConfigHelpers)
 
 # Uncomment to have the build process verbose
 # set(CMAKE_VERBOSE_MAKEFILE TRUE)
@@ -253,10 +254,15 @@
 
 set(NATS_VERSION_MAJOR  3)
 set(NATS_VERSION_MINOR  9)
-set(NATS_VERSION_PATCH  1)
+set(NATS_VERSION_PATCH  2)
 set(NATS_VERSION_SUFFIX "")
 
 set(NATS_VERSION_REQUIRED_NUMBER 0x030900)
+
+write_basic_package_version_file(
+  "${PROJECT_BINARY_DIR}/cnats-config-version.cmake"
+  COMPATIBILITY SameMinorVersion
+  VERSION ${NATS_VERSION_MAJOR}.${NATS_VERSION_MINOR}.${NATS_VERSION_PATCH}${NATS_VERSION_SUFFIX})
 
 if(NATS_UPDATE_VERSION OR NATS_UPDATE_DOC)
 configure_file(
