=== debian/changelog ===
nats.c (3.9.2-1) unstable; urgency=medium

  * New upstream version 3.9.2
  * update symbols

 -- Victor Seva <vseva@debian.org>  Wed, 22 Jan 2025 09:57:12 +0100
