=== debian/changelog ===
nats.c (3.10.0-1) unstable; urgency=medium

  * New upstream version 3.10.0
  * libnats3.10
  * update symbols

 -- Victor Seva <vseva@debian.org>  Mon, 03 Mar 2025 12:06:41 +0100
