=== src/CMakeLists.txt ===
--- 
+++ 
@@ -67,6 +67,8 @@
         NAMESPACE cnats::
         FILE cnats-config.cmake
         DESTINATION ${NATS_LIBDIR}/cmake/cnats)
+  install(FILES "${PROJECT_BINARY_DIR}/cnats-config-version.cmake"
+        DESTINATION ${NATS_LIBDIR}/cmake/cnats)
 endif(NATS_BUILD_LIB_SHARED)
 
 if(NATS_BUILD_LIB_STATIC)
@@ -79,6 +81,8 @@
         NAMESPACE cnats::
         FILE cnats-config.cmake
         DESTINATION ${NATS_LIBDIR}/cmake/cnats)
+  install(FILES "${PROJECT_BINARY_DIR}/cnats-config-version.cmake"
+        DESTINATION ${NATS_LIBDIR}/cmake/cnats)
 endif(NATS_BUILD_LIB_STATIC)
 
 install(FILES deprnats.h DESTINATION ${NATS_INCLUDE_DIR} RENAME nats.h)
