=== debian/changelog ===
nats.c (3.10.1-1) unstable; urgency=medium

  * New upstream version 3.10.1
  * update symbols

 -- Victor Seva <vseva@debian.org>  Mon, 17 Mar 2025 18:53:58 +0100
