=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libnats3.9 (= ${binary:Version}),
+ libnats3.10 (= ${binary:Version}),
  ${misc:Depends},
 Description: C client for the NATS messaging system (development files)
  NATS messaging enables the exchange of data that is segmented into messages
@@ -30,7 +30,7 @@
  .
  This package provides the C headers for NATS
 
-Package: libnats3.9
+Package: libnats3.10
 Architecture: any
 Multi-Arch: same
 Depends:
