=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,6 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
-		-DNATS_BUILD_TLS_USE_OPENSSL_1_1_API=ON
+		-DNATS_BUILD_USE_SODIUM=ON
 
 override_dh_auto_test:
